Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 532594 - sys-apps/portage-2.2.14 - AttributeError: 'bool' object has no attribute 'slot'
Summary: sys-apps/portage-2.2.14 - AttributeError: 'bool' object has no attribute 'slot'
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS, REGRESSION
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-12-14 22:02 UTC by Erich Seifert
Modified: 2015-03-04 21:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erich Seifert 2014-12-14 22:02:33 UTC
Today I tried to emerge @world and got an Python exception from _compute_abi_rebuild_info() in depgraph.py. I'm not sure about the circumstances that cause it, but I can reproduce it with my current configuration.

Reproducible: Always

Actual Results:  
Traceback (most recent call last):
  File "/usr/lib/python-exec/python2.7/emerge", line 50, in <module>
    retval = emerge_main()
  File "/usr/lib64/python2.7/site-packages/_emerge/main.py", line 1070, in emerge_main
    return run_action(emerge_config)
  File "/usr/lib64/python2.7/site-packages/_emerge/actions.py", line 4082, in run_action
    emerge_config.args, spinner)
  File "/usr/lib64/python2.7/site-packages/_emerge/actions.py", line 327, in action_build
    mydepgraph.display_problems()
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 7920, in display_problems
    self._compute_abi_rebuild_info()
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 721, in _compute_abi_rebuild_info
    if inst_child and inst_child.slot == child.slot and \
AttributeError: 'bool' object has no attribute 'slot'


I added a few debug statements to the code and saw that after line 712:

> inst_child = dep.child.installed

inst_child is True instead of a Package object.
Comment 1 Zac Medico gentoo-dev 2014-12-14 22:55:07 UTC
I have a patch in this branch:

	https://github.com/zmedico/portage/tree/bug_532594

I've posted it for review here:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5003
Comment 2 Zac Medico gentoo-dev 2014-12-15 03:38:13 UTC
This is in the master branch now:

https://github.com/gentoo/portage/commit/bee778e7fe62c238cb73eae46e762a4fa4afb579
Comment 3 Brian Dolbec gentoo-dev 2015-03-04 21:28:19 UTC
Released in portage-2.2.16